Bug 834073 - Support MiniDebugInfo in rpm
Support MiniDebugInfo in rpm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 834068
  Show dependency treegraph
 
Reported: 2012-06-20 14:30 EDT by Alexander Larsson
Modified: 2012-08-02 02:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-02 02:56:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support creating minidebuginfo (3.65 KB, patch)
2012-06-20 14:32 EDT, Alexander Larsson
no flags Details | Diff
Example patch for redhat-rpm-config to enable minidebuginfo by default (465 bytes, patch)
2012-06-20 14:33 EDT, Alexander Larsson
no flags Details | Diff
Updated patch against current rpm fedora package (5.04 KB, patch)
2012-06-25 10:30 EDT, Alexander Larsson
no flags Details | Diff

  None (edit)
Description Alexander Larsson 2012-06-20 14:30:56 EDT
To support the new MiniDebugInfo feature in F18 we need rpm-build to support creating minidebuginfo.
Comment 1 Alexander Larsson 2012-06-20 14:32:29 EDT
Created attachment 593296 [details]
Support creating minidebuginfo
Comment 2 Alexander Larsson 2012-06-20 14:33:47 EDT
Created attachment 593297 [details]
Example patch for redhat-rpm-config to enable minidebuginfo by default
Comment 3 Alexander Larsson 2012-06-25 10:30:26 EDT
Created attachment 594198 [details]
Updated patch against current rpm fedora package
Comment 4 Alexander Larsson 2012-06-25 10:35:05 EDT
Eh, the bugzilla diff viewer doesn't seem to handle diffs of diffs very well.
Comment 5 Panu Matilainen 2012-06-27 06:40:00 EDT
The diff in comment #3 was somehow so garbled I ended up rediffing from the one in comment #1. Anyway, support for it added in rpm-4.10.0-3.fc18 and enabled in redhat-rpm-config-9.1.0-32.fc18, both just built for rawhide.
Comment 6 Panu Matilainen 2012-08-02 02:56:09 EDT
This appears to be going without complications, time to close the bug...

Note You need to log in before you can comment on or make changes to this bug.